petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatHermitianTranspose

Computes an in-place or out-of-place transpose of a matrix in complex conjugate.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHermitianTranspose(Mat mat,MatReuse reuse,Mat *B)

Collective on Mat

### Input Parameter

| mat | - the matrix to transpose and complex conjugate
| reuse | - MAT_INITIAL_MATRIX to create a new matrix, MAT_INPLACE_MATRIX to reuse the first argument to store the transpose

### Output Parameters

B -the Hermitian

### See Also

MatTranspose(), MatMultTranspose(), MatMultTransposeAdd(), MatIsTranspose(), MatReuse

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatHermitianTranspose_Elemental in src/mat/impls/elemental/matelem.cxx
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages